%{?nodejs_find_provides_and_requires}

%global packagename graceful-readlink
%global enable_tests 0
# tests disabled due to lack up upstream test suite

Name:		nodejs-graceful-readlink
Version:	1.0.1
Release:	1%{?dist}
Summary:	The graceful fs.readlink functionality

License:	MIT
URL:		https://github.com/zhiyelee/graceful-readlink.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
%if 0%{?enable_tests}
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
%endif


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
The graceful fs.readlink functionality


%prep
%setup -q -n package
# setup the tests

%if 0%{?enable_tests}
%setup -q -T -D -a 1 -n package
%endif


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Oct 21 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
